CREATE TABLE grc_acn_configurations (
    CONFIG_ID                         NUMBER(18, 0),
    BIT_MASK                          NUMBER(18, 0)    NOT NULL,
    IS_ACTIVE_FLAG                    VARCHAR2(4)      NOT NULL,
    BUSINESS_UNIT_FLAG                VARCHAR2(4)  ,
    JOB_NAME_FLAG                     VARCHAR2(4)  ,
    LOCATION_FLAG                     VARCHAR2(4)  ,
    LOCATION_CODE_FLAG                VARCHAR2(4)  ,
    POSITION_NAME_FLAG                VARCHAR2(4)  ,
    POSITION_CODE_FLAG                VARCHAR2(4)  ,
    COST_CENTER_FLAG                  VARCHAR2(4)  ,
    DEPARTMENT_FLAG                   VARCHAR2(4)  ,
    JOB_CODE_FLAG                     VARCHAR2(4)  ,
    JOB_FAMILY_FLAG                   VARCHAR2(4)  ,
    JOB_FUNCTION_FLAG                 VARCHAR2(4)  ,
    ASSIGNMENT_CATEGORY_FLAG          VARCHAR2(4)  ,
    ASSIGNMENT_STATUS_TYPE_FLAG       VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    USER_ROLE_ASSET_BOOK_FLAG         VARCHAR2(4)  ,
    USER_ROLE_BUSINESS_UNIT_FLAG      VARCHAR2(4)  ,
    USER_ROLE_DATA_ACCESS_SET_FLAG    VARCHAR2(4)  ,
    USER_ROLE_LEDGER_FLAG             VARCHAR2(4)  ,
    USER_ROLE_REF_DATA_SET_FLAG       VARCHAR2(4)  ,
    LEGAL_EMPLOYER_FLAG               VARCHAR2(4)  ,
    CONFIG_ID                         NUMBER(18, 0),
    BIT_MASK                          NUMBER(18, 0)    NOT NULL,
    IS_ACTIVE_FLAG                    VARCHAR2(4)      NOT NULL,
    BUSINESS_UNIT_FLAG                VARCHAR2(4)  ,
    JOB_NAME_FLAG                     VARCHAR2(4)  ,
    LOCATION_FLAG                     VARCHAR2(4)  ,
    LOCATION_CODE_FLAG                VARCHAR2(4)  ,
    POSITION_NAME_FLAG                VARCHAR2(4)  ,
    POSITION_CODE_FLAG                VARCHAR2(4)  ,
    COST_CENTER_FLAG                  VARCHAR2(4)  ,
    DEPARTMENT_FLAG                   VARCHAR2(4)  ,
    JOB_CODE_FLAG                     VARCHAR2(4)  ,
    JOB_FAMILY_FLAG                   VARCHAR2(4)  ,
    JOB_FUNCTION_FLAG                 VARCHAR2(4)  ,
    ASSIGNMENT_CATEGORY_FLAG          VARCHAR2(4)  ,
    ASSIGNMENT_STATUS_TYPE_FLAG       VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    USER_ROLE_ASSET_BOOK_FLAG         VARCHAR2(4)  ,
    USER_ROLE_BUSINESS_UNIT_FLAG      VARCHAR2(4)  ,
    USER_ROLE_DATA_ACCESS_SET_FLAG    VARCHAR2(4)  ,
    USER_ROLE_LEDGER_FLAG             VARCHAR2(4)  ,
    USER_ROLE_REF_DATA_SET_FLAG       VARCHAR2(4)  ,
    LEGAL_EMPLOYER_FLAG               VARCHAR2(4)  ,
    CONSTRAINT pk_grc_acn_configurations PRIMARY KEY (CONFIG_ID, CONFIG_ID)
);
